org.gradle.api

## Class GradleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    org.gradle.api.internal.AbstractMultiCauseException, CircularReferenceException, GradleScriptException, IllegalDependencyNotation, InvalidUserDataException, ManifestException, PluginInstantiationException, PublishException, ReportContainer.ImmutableViolationException, ResourceException, StopActionException, TaskExecutionException, TaskInstantiationException, UnknownDomainObjectException

      public class GradleException
      extends RuntimeException

  `GradleException` is the base class of all exceptions thrown by Gradle.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GradleException()`
    `GradleException(String message)`
    `GradleException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GradleException

          public GradleException()

    - #### GradleException

          public GradleException(String message)

    - #### GradleException

          public GradleException(String message,
                         Throwable cause)